import requests
from utils import read_csv, WAREHOUSE

def download_url(url, output_path):
    try:
        r = requests.get(url)
        with open(output_path, 'wb') as f:
            f.write(r.content)
        print('succesfully downloaded feed ', output_path)
    except:
        print('error while downloading feed ', output_path)

def execute():
    download_url(WAREHOUSE['feed_se'], 'download/'+WAREHOUSE['warehouse']+'_se.csv')
    #download_url(warehouse['feed_dk'], 'download/'+warehouse['warehouse']+'_dk.xml')
    #download_url(warehouse['feed_fi'], 'download/'+warehouse['warehouse']+'_fi.xml')
                            
if __name__ == "__main__":
    execute()